Subject: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Jun 2013 19:58:35 +0300

> From: Jan Djärv <[email-masked]>
> Date: Tue, 11 Jun 2013 17:39:00 +0200
> Cc: [email-masked], [email-masked]
> 
> Breakpoint 1, 0x610dcd26 in abort () from /usr/bin/cygwin1.dll
> (gdb) bt
> #0  0x610dcd26 in abort () from /usr/bin/cygwin1.dll
> #1  0x6a90d066 in g_spawn_close_pid () from /usr/bin/cygglib-2.0-0.dll
> #2  0x6a908e8c in g_private_set () from /usr/bin/cygglib-2.0-0.dll
> #3  0x6a8f06ce in g_thread_self () from /usr/bin/cygglib-2.0-0.dll
> #4  0x6a8ce250 in g_main_context_iteration () from /usr/bin/cygglib-2.0-0.dll
> #5  0x6a8ce2aa in g_main_context_iteration () from /usr/bin/cygglib-2.0-0.dll
> #6  0x6a8f017d in g_thread_proxy () from /usr/bin/cygglib-2.0-0.dll
> #7  0x610ffe1a in pthread::thread_init_wrapper(void*) ()
>    from /usr/bin/cygwin1.dll
> #8  0x6108974c in thread_wrapper(void*) () from /usr/bin/cygwin1.dll

Can you find out (by looking at the glib sources) when and why would
g_spawn_close_pid call 'abort'?  It might give us some clues.

Also, what process (or is it a thread?) did glib spawn here, and why?